Method: resolveNames

Resolves a list of place names (or addresses) to specific geospatial entities (e.g., places) on Google Maps.

HTTP request

POST https://mapstools.googleapis.com/v1:resolveNames

The URL uses gRPC Transcoding syntax.

Request body

The request body contains data with the following structure:

JSON representation
{
  "queries": [
    {
      object (LocationQuery)
    }
  ],
  "locationBias": {
    object (LocationBias)
  },
  "regionCode": string
}
Fields
queries[]

object (LocationQuery)

Required. A list of location queries to be resolved. You may specify up to 20 queries.

locationBias

object (LocationBias)

Optional. An optional region to bias the resolution results. If specified, the resolution results will be biased towards the entities that are closer to this region. Including locationBias or regionCode often provides better results by narrowing the search space.

If both locationBias and regionCode are specified, locationBias takes precedence over regionCode.

regionCode

string

Optional. An optional region code to bias the resolution results. If specified, the resolution results will be biased towards the entities that are in or near the specified region. This should be a CLDR region code. For example, "US" or "CA". Including locationBias or regionCode often provides better results by narrowing the search space.

If both locationBias and regionCode are specified, locationBias takes precedence over regionCode.

Response body

If successful, the response body contains an instance of ResolveNamesResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/maps-platform.mapstools